|  | Home · All Classes · Modules

# QAbstractExtensionManager Class Reference
[QtDesigner module]

The QAbstractExtensionManager class provides an interface for extension managers in Qt Designer. More...

Inherited by QExtensionManager.

### Methods

- __init__ (self)
- __init__ (self, QAbstractExtensionManager other)
- QObject extension (self, QObject object, QString iid)
- registerExtensions (self, QAbstractExtensionFactory factory, QString iid)
- unregisterExtensions (self, QAbstractExtensionFactory factory, QString iid)

## Detailed Description

The QAbstractExtensionManager class provides an interface for extension managers in Qt Designer.

QAbstractExtensionManager is not intended to be instantiated directly; use the QExtensionManager instead.

In Qt Designer, extension are not created until they are required. For that reason, when implementing a custom extension, you must also create a QExtensionFactory, i.e a class that is able to make an instance of your extension, and register it using Qt Designer's extension manager.

When an extension is required, Qt Designer's extension manager will run through all its registered factories calling QExtensionFactory.createExtension() for each until the first one that is able to create the requested extension for the selected object, is found. This factory will then make an instance of the extension.

See also QExtensionManager and QExtensionFactory.

## Method Documentation

### QAbstractExtensionManager.__init__ (self)

### QAbstractExtensionManager.__init__ (self, QAbstractExtensionManager other)

### QObject QAbstractExtensionManager.extension (self, QObject object, QString iid)

This method is abstract and should be reimplemented in any sub-class.

Returns the extension, specified by iid, for the given object.

### QAbstractExtensionManager.registerExtensions (self, QAbstractExtensionFactory factory, QString iid)

This method is abstract and should be reimplemented in any sub-class.

Register the given extension factory with the extension specified by iid.

### QAbstractExtensionManager.unregisterExtensions (self, QAbstractExtensionFactory factory, QString iid)

This method is abstract and should be reimplemented in any sub-class.

Unregister the given factory with the extension specified by iid.